Skip to main content
GET
/
contacts
/
Get all contacts
curl --request GET \
  --url https://messenger-public-api.cogfy.com/contacts/ \
  --header 'api-key: <api-key>'
import requests

url = "https://messenger-public-api.cogfy.com/contacts/"

headers = {"api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'api-key': '<api-key>'}};

fetch('https://messenger-public-api.cogfy.com/contacts/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "waId": "<string>",
      "waProfileName": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "occupation": "<string>",
      "gender": "<string>",
      "birthDate": "2023-12-25",
      "age": 123,
      "notes": "<string>",
      "createDate": "2023-11-07T05:31:56Z",
      "updateDate": "2023-11-07T05:31:56Z",
      "customProperties": {
        "Favorite Color": "Blue"
      }
    }
  ],
  "cursors": {
    "next": "<string>"
  }
}

Authorizations

api-key
string
header
required

Query Parameters

cursor
string

Cursor for pagination

waId
string

Query to filter contacts by waId

Response

200 - application/json

A list of contacts

data
object[]
cursors
object